# Specific manifold functions

This small section extends the functions available from [ManifoldsBase.jl](https://juliamanifolds.github.io/Manifolds.jl/stable/interface.html) and [Manifolds.jl](https://juliamanifolds.github.io/Manifolds.jl/stable/), espcially a few random generators, that are simpler than the functions available.

```@autodocs
Modules = [Manopt]
Pages   = ["manifold_functions.jl"]
```

## Simplified random functions

While statistics are available in [Manifolds.jl](https://juliamanifolds.github.io/Manifolds.jl/stable/index.html),
the following functions provide default random points and vectors on manifolds.

```@autodocs
Modules = [Manopt]
Pages   = ["random.jl"]
```

## Initialize data

```@autodocs
Modules = [Manopt]
Pages   = ["initialize_data.jl"]
```
